gpu/stub: fix acpi_video build error, fix stub kconfig dependencies
[linux-2.6.git] / drivers / gpu / stub / Kconfig
1 config STUB_POULSBO
2         tristate "Intel GMA500 Stub Driver"
3         depends on PCI
4         depends on NET # for THERMAL
5         # Poulsbo stub depends on ACPI_VIDEO when ACPI is enabled
6         # but for select to work, need to select ACPI_VIDEO's dependencies, ick
7         select BACKLIGHT_CLASS_DEVICE if ACPI
8         select INPUT if ACPI
9         select ACPI_VIDEO if ACPI
10         select THERMAL if ACPI
11         help
12           Choose this option if you have a system that has Intel GMA500
13           (Poulsbo) integrated graphics. If M is selected, the module will
14           be called Poulsbo. This driver is a stub driver for Poulsbo that
15           will call poulsbo.ko to enable the acpi backlight control sysfs
16           entry file because there have no poulsbo native driver can support
17           intel opregion.